---
search:
  tags:
    - pipelines
    - DELETE
seo:
  description: >-
    Deletes a pipeline. Reference for the DELETE
    /project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}
    endpoint in the Platform API.
sidebar:
  label: Delete a pipeline
  badge: DELETE
title: Delete a pipeline
type: openapi-operation
---
Deletes a pipeline.

`DELETE /project/{project_id}/environment/{environment_id}/pipelines/{pipeline_id}`

**Responses**

- `204` — Pipeline deleted successfully
- `default` — Error
